# ModuleDependency

open class ModuleDependency : Dependency

Represents an orderEntry of type module in the iml XML.

## Constructors

ModuleDependency
Link copied to clipboard
constructor(name: String, scope: String)

## Properties

name
Link copied to clipboard
open var name: String
scope
Link copied to clipboard
open var scope: String

## Functions

addToNode
Link copied to clipboard
open fun addToNode(parentNode: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
getScope
Link copied to clipboard
abstract fun getScope(): String
hashCode
Link copied to clipboard
open fun hashCode(): Int
isExported
Link copied to clipboard
open fun isExported(): Boolean
setExported
Link copied to clipboard
open fun setExported(exported: Boolean)
setScope
Link copied to clipboard
abstract fun setScope(scope: String)
toString
Link copied to clipboard
open fun toString(): String